# SerializeAccessors

Turns any column into a serialized field, with getter and setter methods, as if it wasn't serialized at all.

## Installation

Gemfile:

    gem 'serialize_accessors'
    $ bundle

Or install it yourself as:

    $ gem install serialize_accessors

## Usage

In an ActiveRecord model, just extend gem:

    class Person < ActiveRecord::Base
      extend SerializeAccessors
    end

The first argument is the database column to store everything, everything else is the name of the getter / setter methods:

    class Person < ActiveRecord::Base
      extend SerializeAccessors

      serialize_accessors :contact, :first_name, :last_name, :email
    end

Access your attributes like any other database column:

    $ person = Person.new
    $ person.first_name = "Joe"

## Notes

The field :contact is automatically serialized.  You can also add active record validators in your model as normal.